import node from '@astrojs/node'
import tailwind from '@astrojs/tailwind'
import { defineConfig } from 'astro/config'

import react from '@astrojs/react'

// https://astro.build/config
export default defineConfig({
	compressHTML: true,
	build: {
		assets: 'assets',
		inlineStylesheets: 'auto'
	},
	server: {
		host: true,
		port: 3000
	},
	trailingSlash: 'never',
	output: 'server',
	adapter: node({
		mode: 'standalone'
	}),
	integrations: [tailwind(), react()],
	vite: {
		optimizeDeps: {
			include: ['leaflet']
		}
	}
})
